import java.awt.event.*;
import javax.swing.*;

/**
* <strong> Clase que implementa el Menu del Editor de Figuras Geométricas.
* <strong>
*/
public class MiMenuBar extends JMenuBar
{

/**
* Construye el Menu en el Dibujo dado en parametro.
* @param dibujo Dibujo en el cual se va a crear MiMenubar.
*/
public MiMenuBar (Dibujo dibujo)
{
// Bajo la opcion "Dibujar" se encuentran cuatro figuras geométricas:
// Rectangulo, Circulo, Linea y Triangulo.
// A cada una esta asociado un ActionListener.
JMenu menu1 = new JMenu("Dibujar");
menu1.setMnemonic(KeyEvent.VK_D);
menu1.getAccessibleContext().setAccessibleDescription(
"Permite incorporar nuevas formas a su dibujo");
add(menu1);
JMenuItem menuItem1 = new JMenuItem("Rectangulo");
menuItem1.setMnemonic(KeyEvent.VK_R);
menuItem1.addActionListener(new RectangleCreationHandler(dibujo));
menu1.add(menuItem1);
JMenuItem menuItem2 = new JMenuItem("Circulo");
menuItem2.addActionListener(new CircleCreationHandler(dibujo));
menuItem2.setMnemonic(KeyEvent.VK_C);
menu1.add(menuItem2);
JMenuItem menuItem3 = new JMenuItem("Linea");
menuItem3.addActionListener(new LineCreationHandler(dibujo));
menuItem3.setMnemonic(KeyEvent.VK_L);
menu1.add(menuItem3);
JMenuItem menuItem4 = new JMenuItem("Triangulo");
menuItem4.addActionListener(new TriangleCreationHandler(dibujo));
menuItem4.setMnemonic(KeyEvent.VK_T);
menu1.add(menuItem4);
// Bajo la opcion "Manipular" se encuentran tres manipulaciones posibles:
// Escalar, Rotar y Trasladar.
// A cada una esta asociado un ActionListener.
JMenu menu2 = new JMenu("Manipular");
menu2.setMnemonic(KeyEvent.VK_M);
menu2.getAccessibleContext().setAccessibleDescription(
"Permite hacer operaciones básicas sobre dibujo actual");
add(menu2);
JMenuItem menuItem5 = new JMenuItem("Escalar", KeyEvent.VK_E);
menuItem5.addActionListener(new SizeHandler (dibujo));
menu2.add(menuItem5);
JMenuItem menuItem6 = new JMenuItem("Rotar", KeyEvent.VK_R);
menuItem6.addActionListener(new RotationHandler(dibujo));
menu2.add(menuItem6);
JMenuItem menuItem7 = new JMenuItem("Trasladar", KeyEvent.VK_T);
menuItem7.addActionListener(new TranslationHandler(dibujo));
menu2.add(menuItem7);
}
}


